Subject: Re: bug#15675: the configure script invoked before make

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Oct 2013 11:45:47 +0300

> Date: Fri, 25 Oct 2013 09:38:47 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > From: Glenn Morris <[email-masked]>
> > Cc: [email-masked],  [email-masked]
> > Date: Thu, 24 Oct 2013 17:30:00 -0400
> > 
> > It seems to me that both the Irix and MinGW cases should be using
> > C(PP)FLAGS instead of using GCC_TEST_OPTIONS to modify CC.
> 
> That was the first thing I tried back when I worked on configuring
> MinGW with the configure script.  But it doesn't fly too well, either.
> I don't exactly remember the details, but I think the flags ended
> up twice in the compilation command, once from CPPFLAGS and another
> time from CFLAGS.  Or something like that.
> 
> These are all minor issues, but so is the fact that CPP includes
> switches.  And CPP is only used by lib/Makefile.in.  So these are nits
> in any case.

Actually, having these flags twice on the command line is not a minor
problem: some headers in nt/inc use #include_next, which will not DTRT
if -I../nt/inc is seen more than once on the command line.